Name: gnome-bluetooth
Summary: Bluetooth graphical utilities
Group: Applications/Communications
Version: 2.29.0_20091023
License: GPLv2+/LGPLv2+
URL: http://live.gnome.org/GnomeBluetooth
Release: 1.4.moblin2
Source0: http://download.gnome.org/sources/gnome-bluetooth/2.29/gnome-bluetooth-%{version}.tar.bz2
Source1: 61-gnome-bluetooth-rfkill.rules
Patch0: focus.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig(hal)
BuildRequires: pkgconfig(libnotify)

BuildRequires: gtk2-devel
BuildRequires: GConf2-devel
BuildRequires: dbus-glib-devel
BuildRequires: unique-devel
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gtk-doc
BuildRequires: gnome-common
BuildRequires: nbtk-devel
BuildRequires: mutter-moblin-devel
BuildRequires: intltool

Requires(post): /bin/touch

%description
The gnome-bluetooth packages contains graphical utilities to setup,
monitor and use Bluetooth devices. This package contains core components
required by each of the graphical front-ends (gnome and moblin).

%package gnome

Summary: GNOME desktop graphical bluetooth utiltities
Group: Applications/Communication

Requires(post): /bin/touch
Requires: %{name} = %{version}-%{release}

%description gnome
This package contains the graphical bluetooth utilities for the GNOME desktop

%package moblin

Summary: Moblin Bluetooth applet
Group: Applications/Communication

Requires: nbtk
Requires: mutter-moblin
Requires: %{name} = %{version}-%{release}

%description moblin
This package contains a bluetooth applet for Moblin built using gnome-bluetooth widgets

%package libs-devel

Summary: Development files for %{name}-libs
Group: Development/Libraries

Requires: %{name}-libs = %{version}-%{release}
Requires: gtk-doc
Requires: pkgconfig

%description libs-devel
This package contains the libraries amd header files that are needed
for writing applications that require a Bluetooth device selection widget.

%package libs

Summary: GTK+ Bluetooth device selection widgets
Group: System Environment/Libraries

Requires(post): /bin/touch
Requires: %{name} = %{version}-%{release}

%description libs
This package contains libraries needed for applications that
want to display a Bluetooth device selection widget.

%package docs

Summary: Gnome Bluetooth applet documentation
Group: Applications/Communication

Requires: %{name} = %{version}-%{release}

%description docs
This package contains all of the documentation for gnome-bluetooth

%prep
%setup -q -n gnome-bluetooth-%{version}
%patch0 -p1 -b .focus

%build
%autogen --enable-moblin --enable-gtk-doc --disable-scrollkeeper --disable-desktop-update --disable-static
unset LD_AS_NEEDED
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install
install -m0644 -D %{SOURCE1} %{buildroot}/lib/udev/rules.d/61-gnome-bluetooth-rfkill.rules

%find_lang gnome-bluetooth2  || echo -n >> gnome-bluetooth2.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas \
    > /dev/null || :
fi

%preun
if [ "$1" -gt 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas \
    > /dev/null || :
fi

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas \
  > /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache \
  --quiet %{_datadir}/icons/hicolor 2> /dev/null|| :

%postun -p /sbin/ldconfig

%post gnome
/bin/touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache \
  --quiet %{_datadir}/icons/hicolor 2> /dev/null|| :

%post libs-devel -p /sbin/ldconfig

%postun libs-devel -p /sbin/ldconfig

%post libs
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache \
  --quiet %{_datadir}/icons/hicolor 2> /dev/null|| :

%postun libs -p /sbin/ldconfig

%files -f gnome-bluetooth2.lang
%defattr(-,root,root,-)
%doc README NEWS COPYING
%{_sysconfdir}/gconf/schemas/bluetooth-manager.schemas
%{_bindir}/bluetooth-sendto
%{_libdir}/gnome-bluetooth/
%{_datadir}/gnome-bluetooth/pin-code-database.xml
%{_mandir}/man1/*
/lib/udev/rules.d/
%exclude %{_datadir}/icons/hicolor/icon-theme.cache

%files gnome
%defattr(-,root,root,-)
%{_sysconfdir}/xdg/autostart/bluetooth-applet.desktop
%{_bindir}/bluetooth-applet
%{_bindir}/bluetooth-properties
%{_bindir}/bluetooth-wizard
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-bluetooth/wizard.ui
%{_datadir}/gnome-bluetooth/properties-no-adapter.ui
%{_datadir}/gnome-bluetooth/confirm-dialogue.ui
%{_datadir}/gnome-bluetooth/popup-menu.ui
%{_datadir}/gnome-bluetooth/passkey-dialogue.ui
%{_datadir}/gnome-bluetooth/properties-adapter-off.ui
%{_datadir}/gnome-bluetooth/authorisation-dialogue.ui
%{_datadir}/icons/hicolor/

%files moblin
%defattr(-,root,root,-)
%{_sysconfdir}/xdg/autostart/bluetooth-panel.desktop
%{_bindir}/bluetooth-panel
%{_datadir}/gnome-bluetooth/theme/
%{_datadir}/gnome-bluetooth/moblin-icons/
%{_datadir}/gnome-bluetooth/pin.ui
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.bluetooth.service

%files libs-devel
%defattr(-,root,root,-)
%{_includedir}/gnome-bluetooth/
%{_libdir}/libgnome-bluetooth.so
%{_libdir}/pkgconfig/gnome-bluetooth-1.0.pc
%{_datadir}/gtk-doc/html/gnome-bluetooth/

%files libs
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_libdir}/libgnome-bluetooth.so.*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/status/*

%files docs
%defattr(-,root,root,-)
%{_datadir}/omf/
%{_datadir}/gnome/help/gnome-bluetooth/
%changelog
* Wed Oct 28 2009 Ross Burton <ross@linux.intel.com> 2.29.0_20091023
- Add patch to fix focus problems when closing dialogs (MB#7051)
* Fri Oct 23 2009 Joshua Lock <josh@linux.intel.com> 2.29.0_20091023
- Updated translations
* Thu Oct 22 2009 Joshua Lock <josh@linux.intel.com> 2.29.0_20091022
- Disable UI when no BT adapter present (MB#7164)
- Make clickable action areas of device list more apparent (MB#6720)
* Tue Oct 20 2009 Joshua Lock <josh@linux.intel.com> 2.29.0_20091020
- Return to default (devices) view on hiding the panel
- Install a D-Bus service file (MB#7091)
- Fix packaging to include l10n files (MB#6936)
* Fri Oct 16 2009 Joshua Lock <josh@linux.intel.com> 2.29.0_20091016
- Reset filter before showing add page
- Correctly parent dialog box to avoid input/focus bugs
- Fix setting of custom PINS (MB#6830)
- UI tweaks
* Thu Oct 15 2009 Joshua Lock <josh@linux.intel.com> 2.29.0_20091015
- Don't crash when removing last device
- More pairing enhancements
* Wed Oct 14 2009 Joshua Lock <josh@linux.intel.com> 2.29.0_20091014
- Don't crash when toggling bluetooth on/off MB#6724
- Fix browse and connect actions to only show as appropriate
- Ensure Send file is only enabled when usable
- Handle killswitch appearing after prorgam start (i.e. pluggable adapter)
- Successfully paired a BT headset (Jawbone)
* Mon Oct 12 2009 Joshua Lock <josh@linux.intel.com> 2.29.0_20091012
- Moblin panel feature complete for Moblin 2.1, can now be used to
  pair BT 2.0 phones, mice
* Tue Oct  6 2009 Joshua Lock <josh@linux.intel.com> 2.29.0-1
- Initial Moblin package based on Fedora
* Tue Sep 29 2009 Bastien Nocera <bnocera@redhat.com> 2.28.1-1
- Update to 2.28.1
* Sat Sep 19 2009 Bastien Nocera <bnocera@redhat.com> 2.28.0-1
- Update to 2.28.0
* Fri Sep 11 2009 Bastien Nocera <bnocera@redhat.com> 2.27.90-3
- Fix possible pairing failure
* Thu Sep  3 2009 Bastien Nocera <bnocera@redhat.com> 2.27.90-2
- Fix connecting to audio devices not working when disconnected
  at start
* Wed Sep  2 2009 Bastien Nocera <bnocera@redhat.com> 2.27.90-1
- Update to 2.27.90
* Tue Aug 11 2009 Bastien Nocera <bnocera@redhat.com> 2.27.9-5
- Fix the friendly name not being editable (#516801)
* Tue Aug 11 2009 Bastien Nocera <bnocera@redhat.com> 2.27.9-4
- Add udev rules to access /dev/rfkill (#514798)
* Tue Aug 11 2009 Bastien Nocera <bnocera@redhat.com> 2.27.9-3
- Don't crash when exiting the wizard
* Thu Aug  6 2009 Bastien Nocera <bnocera@redhat.com> 2.27.9-2
- Remove requirement on the main package from -libs, and move
  the icons from the main package to the -libs sub-package (#515845)
* Tue Aug  4 2009 Bastien Nocera <bnocera@redhat.com> 2.27.9-1
- Update to 2.27.9
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.27.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Tue Jul 21 2009 Bastien Nocera <bnocera@redhat.com> 2.27.8-1
- Update to 2.27.8
* Thu Jun 25 2009 Bastien Nocera <bnocera@redhat.com> 2.27.7.1-1
- Update to 2.27.7.1
* Thu Jun 25 2009 Bastien Nocera <bnocera@redhat.com> 2.27.7-1
- Update to 2.27.7
* Wed Jun 17 2009 Bastien Nocera <bnocera@redhat.com> 2.27.6-1
- Update to 2.27.6
- Require newer BlueZ for SSP support
* Sat May 16 2009 Matthias Clasen <mclasen@redhat.com> 2.27.5-2
- Require the virtual provides for notification daemon (#500585)
* Wed May  6 2009 Bastien Nocera <bnocera@redhat.com> 2.27.5-1
- Update to 2.27.5
* Fri May  1 2009 Bastien Nocera <bnocera@redhat.com> 2.27.4-4
- Use the scriplets on the wiki for the icon update
* Fri May  1 2009 Bastien Nocera <bnocera@redhat.com> 2.27.4-3
- Touch the icon theme directory, should fix the icon not appearing
  properly on new installs
* Thu Apr 16 2009 Bastien Nocera <bnocera@redhat.com> - 2.27.4-2
- Require the PA Bluetooth plugins
* Tue Apr 14 2009 Bastien Nocera <bnocera@redhat.com> - 2.27.4-1
- Update to 2.27.4
* Thu Apr  9 2009 Bastien Nocera <bnocera@redhat.com> - 2.27.3-1
- Update to 2.27.3
* Wed Apr  8 2009 Bastien Nocera <bnocera@redhat.com> - 2.27.2-2
- Fix schema installation
* Wed Apr  8 2009 Bastien Nocera <bnocera@redhat.com> - 2.27.2-1
- Upgrade to 2.27.2
* Tue Mar 10 2009 Bastien Nocera <bnocera@redhat.com> - 2.27.1-4
- Make the -libs-devel obsolete and provide the -devel package, so
  we can actually upgrade...
* Thu Mar  5 2009 Bastien Nocera <bnocera@redhat.com> - 2.27.1-3
- Add patch to fix sendto
* Wed Mar  4 2009 Bastien Nocera <bnocera@redhat.com> - 2.27.1-2
- Update to 2.27.1
- Loads of fixes mentioned by Bill Nottingham in bug #488498
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Thu Feb 19 2009 Bastien Nocera <bnocera@redhat.com> - 0.12.0-1
- Update to 0.12.0
* Thu Dec  4 2008 Matthias Clasen <mclasen@redhat.com> - 0.11.0-8
- Rebuild for Python 2.6
* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.11.0-7
- Rebuild for Python 2.6
* Fri Oct 31 2008 Bastien Nocera <bnocera@redhat.com> - 0.11.0-6
- Remove a few more .la files
* Thu Sep 11 2008 Matthias Clasen  <mclasen@redhat.com> - 0.11.0-5
- Rebuild against new bluez-libs
* Wed May 14 2008 Ondrej Vasik <ovasik@redhat.com> - 0.11.0-4
- Changed name of icon file(#444811)
* Wed Feb 27 2008 Bastien Nocera <bnocera@redhat.com> - 0.11.0-3
- Remove gnome-obex-server, we should use gnome-user-share now
* Mon Feb 11 2008 Ondrej Vasik <ovasik@redhat.com> - 0.11.0-1
- gcc43 rebuild
* Mon Jan 21 2008 Bastien Nocera <bnocera@redhat.com> - 0.11.0
- Update to 0.11.0
* Mon Jan 21 2008 Bastien Nocera <bnocera@redhat.com> - 0.10.0
- Update to 0.10.0
* Mon Oct 22 2007 Ondrej Vasik <ovasik@redhat.com> - 0.9.1-4
- marked gnome-obex-server.schemas as config file
- changed upstream URL
* Tue Sep 18 2007 Ondrej Vasik <ovasik@redhat.com> - 0.9.1-3
- fixed wrong source URL
* Thu Aug 23 2007 Ondrej Vasik <ovasik@redhat.com> - 0.9.1-2
- rebuilt for F8
- changed license tag to GPLv2 and LGPLv2+
* Mon Jul 23 2007 Bastien Nocera <bnocera@redhat.com> - 0.9.1-1
- Upgrade to 0.9.1 to fix a crasher in the server
* Thu Jul 12 2007 Bastien Nocera <bnocera@redhat.com> - 0.9.0-1
- Update for 0.9.0
- Fix installation of the python bindings
* Mon Apr  2 2007 Matthias Clasen <mclasen@redhat.com> - 0.8.0-4
- Remove unncessary gconfd killing from scripts (#224561)
* Tue Feb 27 2007 Harald Hoyer <harald@redhat.com> - 0.8.0-3%{?dist}
- corrected BuildRoot
- smp flags added
- specfile cleanup
- fixed desktop file
* Thu Dec  7 2006 Jeremy Katz <katzj@redhat.com> - 0.8.0-2
- rebuild for python 2.5
* Mon Nov 13 2006 Harald Hoyer <harald@redhat.com> - 0.8.0-1
- version 0.8.0
* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.7.0-10.1
- rebuild
* Wed Jun 14 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-10
- bump for new openobex
* Sun Jun 11 2006 Jesse Keating <jkeating@redhat.com> - 0.7.0-9
- Missing automake, libtool, gettext BR
* Sun Jun 11 2006 Jesse Keating <jkeating@redhat.com> - 0.7.0-6
- Bump for new libbluetooth
* Wed May 31 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-6
- add dependency on bluez-utils, cosmetic tweaks (bug #190280)
* Tue May 30 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-5
- install schemata correctly (bug #193518)
* Mon May 29 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-3
- more build requires (bug #193374)
* Mon Feb 27 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-2
- pydir fixes for lib64
* Thu Feb 16 2006 Harald Hoyer <harald@redhat.com> - 0.7.0-1
- version 0.7.0
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.6.0-2.2.1
- bump again for double-long bug on ppc(64)
* Tue Feb  7 2006 Jesse Keating <jkeating@redhat.com> - 0.6.0-2.2
- rebuilt for new gcc4.1 snapshot and glibc changes
* Fri Dec  9 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt
* Fri Oct  7 2005 Harald Hoyer <harald@redhat.com> - 0.6.0-2
- Fix relative path for the icons in desktop files which no longer works
  with the icon cache.
* Wed Sep 28 2005 Harald Hoyer <harald@redhat.com> - 0.6.0-1
- new version 0.6.0
* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> 0.5.1-14
- rebuild for new cairo
  * Thu Jul  7 2005 Matthias Saou <http://freshrpms.net/> 0.5.1-13
- Minor spec file cleanups.
- Fix relative path for the icons in desktop files which no longer works
  with the icon cache.
- Remove useless zero epochs.
- Remove explicit python abi requirement, it's automatic for FC4 and up.
* Thu Mar 31 2005 Harald Hoyer <harald@redhat.com> - 0.5.1-12
- removed base requirement from libs
* Tue Mar 29 2005 Warren Togami <wtogami@redhat.com> - 0.5.1-11
- devel req glib2-devel libbtctl-devel for pkgconfig (#152488)
* Wed Mar  2 2005 Harald Hoyer <harald@redhat.com>
- rebuilt
* Mon Feb 21 2005 Harald Hoyer <harald@redhat.com> - 0.5.1-9
- added gnome hbox patch for bug rh#149215
* Tue Dec  7 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-8
- added requires for python-abi
* Tue Dec  7 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-7
- split package into app, libs and devel
* Mon Oct 25 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-6
- fixed again gnome-bluetooth-manager script for 64bit (bug 134864)
* Fri Oct  8 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-5
- buildrequire pygtk2-devel (bug 135032)
- fixed gnome-bluetooth-manager script for 64bit (bug 134864)
- fixed segfault on file receive (bug 133041)
* Mon Sep 27 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-4
- buildrequire libbtctl-devel
- buildrequire openobex-devel >= 1.0.1
- pythondir -> pyexecdir
* Wed Jul 28 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-3
- added build dependency for librsvg2-devel
* Tue Jul 27 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-2
- added pydir patch
* Thu Jul 22 2004 Harald Hoyer <harald@redhat.com> - 0.5.1-1
- version 0.5.1
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
* Tue May 25 2004 Harald Hoyer <harald@redhat.com> - 0.4.1-8
- corrected BuildRequires
* Wed Mar 10 2004 Harald Hoyer <harald@redhat.com> - 0.4.1-7
- added EggToolBar patch for gcc34
* Tue Mar  2 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
* Mon Jan 26 2004 Harald Hoyer <harald@redhat.de> 0.4.1-4
- added autofoo patch
* Thu Aug 28 2003 Harald Hoyer <harald@redhat.de> 0.4.1-3
- add .so to gnome-vfs module, if libtool does not!
* Thu Aug  7 2003 Harald Hoyer <harald@redhat.de> 0.4.1-2
- call libtool finish
* Wed Aug  6 2003 Harald Hoyer <harald@redhat.de> 0.4.1-1
- new version 0.4.1
* Thu Jun  5 2003 Harald Hoyer <harald@redhat.de> 0.4-1
- initial RPM
